<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <title>Hello, world!</title>
</head>
<body>
<div id="userJoin" class="container">
    <br>
    <br>
    <div class="card">
        <div class="card-body">
            <h1>Web socket chat</h1>
        </div>
    </div>
    <br>
    <br>
    <form id="userJoinForm" name="userJoinForm">
        <div class="form-room">
            <label for="name">Enter Name:</label>
            <input type="text" class="form-control" id="name" aria-describedby="name" placeholder="Enter name">
        </div>
        <div class="form-room">
            <label for="room">Enter Room:</label>
            <input type="text" class="form-control" id="room" aria-describedby="exampleInputRoom" placeholder="Enter room">
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
    </form>

</div>

<div id="chatPage" class="container d-none">
    <div class="card">
        <div class="card-body">
            <h1>Web socket chat</h1>

        </div>
    </div>
    <div class="chat-header">
        <h2>Chatroom [<span id="room-id-display"></span>]</h2>
    </div>
    <div class="waiting">
        We are waiting to enter the room.
    </div>
    <div class="card">
        <div class="card-body">
            <ul id="messageArea">
            </ul>
        </div>
    </div>

    <div class="container">
        <form id="messagebox" name="messagebox">
            <div class="form-room">
                <label for="message">Enter Message:</label>
                <input type="text" class="form-control" id="message" aria-describedby="name" placeholder="Enter message to chat ....">
            </div>
            <button type="submit" class="btn btn-primary">Send</button>
        </form>
    </div>

    <div class="container">
        <form id="broadcastMessagebox" name="broadcastMessagebox">
            <div class="form-room">
                <label for="broadcastMessage">Enter Broadcast Message:</label>
                <input type="text" class="form-control" id="broadcastMessage" aria-describedby="name" placeholder="Enter broadcast message to chat ....">
            </div>
            <button type="submit" class="btn btn-primary">Send</button>
        </form>
    </div>

    <div class="container">
        <form id="privateMessagebox" name="privateMessagebox">
            <div class="form-room">
                <label for="privateUser">Enter Private Message:</label>
                <input type="text" class="form-control" id="privateUser" aria-describedby="name" placeholder="Enter user name ....">
                <label for="privateMessage">Enter Private Message:</label>
                <input type="text" class="form-control" id="privateMessage" aria-describedby="name" placeholder="Enter private message to chat ....">
            </div>
            <button type="submit" class="btn btn-primary">Send</button>
        </form>
    </div>

</div>

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.3.0/sockjs.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.js"></script>
<script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
<script src="/js/mychat.js"></script>
</body>
</html>